!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Subroutine LatentHeatPerMass
!
!   * Developer: KITAMORI Taichi 
!   * Version: $ 
!   * Tag Name: $Name:  $
!   * Change History: 
!
!== Overview 
!
!単位凝結物質あたりの潜熱を計算する. 
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!CO2 大気を想定すれば潜熱は一定とみなせるので定数値をあたえる.   
!
!== Future Plans
!
                                                                 !=end
subroutine LatentHeatPerMass(ss_LatHeatPerMass_nl)

                                                                 !=begin
  !==Dependency
  use dc_trace, only: BeginSub, EndSub  
  use gridset,  only: DimXMin, DimXMax, DimZMin, DimZMax
  use physset,  only: GasR
  use cloudset, only: SatPressB
                                                                 !=end
  !==暗黙の型宣言を禁止
  implicit none
  
  !==Input
  
  !==Output
  real(8), intent(out)   :: ss_LatHeatPerMass_nl(DimXMin:DimXMax, DimZMin:DimZMax) 
  
  !==Work

  call BeginSub("LatentHeatPerMass", &
&           fmt="%c",        &
&           c1="Calculate latent heat per unit mass.")

  ss_LatHeatPerMass_nl = SatPressB * GasR    ! 定数値を与える

  call EndSub("LatentHeatPerMass")

end subroutine LatentHeatPerMass
